from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, File

Anvi_Export_Splits_Taxonomy_V0_1_0 = CommandToolBuilder(tool="anvi_export_splits_taxonomy", base_command=["anvi-export-splits-taxonomy"], inputs=[ToolInput(tag="in_anvianvigencontigsdatabase_default_none", input_type=String(optional=True), prefix="--contigs-db", doc=InputDocumentation(doc="Anvi'o contigs database generated by 'anvi-gen-\ncontigs-database' (default: None)")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="File path to store results. (default: None)")), ToolInput(tag="in__can_provide", input_type=String(), position=0, doc=InputDocumentation(doc="🍕 Can provide: ")), ToolInput(tag="in_splits_taxonomy_txt", input_type=String(), position=1, doc=InputDocumentation(doc="🍺 More on `anvi-export-splits-taxonomy`:"))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="File path to store results. (default: None)"))], container="quay.io/biocontainers/anvio-minimal:7--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Export_Splits_Taxonomy_V0_1_0().translate("wdl")

